## mailimporter 25.08.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
set(PIM_VERSION "6.5.1")

project(MailImporter VERSION ${PIM_VERSION})

set(KF_MIN_VERSION "6.14.0")
set(QT_REQUIRED_VERSION "6.8.0")
set(CMAKE_CXX_STANDARD 20)
find_package(ECM ${KF_MIN_VERSION} CONFIG REQUIRED)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)
set(PRE_COMMIT_INSTALLED FALSE)
if(${CMAKE_SOURCE_DIR} STREQUAL ${PROJECT_SOURCE_DIR})
    if(EXISTS "${PROJECT_SOURCE_DIR}/.git/hooks/pre-commit")
        file(READ "${PROJECT_SOURCE_DIR}/.git/hooks/pre-commit" FILE_CONTENTS)
        string(FIND "${FILE_CONTENTS}" "File generated by pre-commit" INDEX)
        if(${INDEX} GREATER_EQUAL 0)
            set(PRE_COMMIT_INSTALLED TRUE)
        endif()
    endif()
endif()
if(NOT ${PRE_COMMIT_INSTALLED})
    include(KDEGitCommitHooks)
    include(KDEClangFormat)
    kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})
endif()
include(ECMGenerateExportHeader)
include(ECMSetupVersion)
include(ECMGenerateHeaders)

file(
    GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES
    src/*.cpp
    src/*.h
)

include(ECMQtDeclareLoggingCategory)
include(ECMDeprecationSettings)
include(ECMFeatureSummary)
include(ECMAddTests)

set(MAILIMPORTER_LIB ${PIM_VERSION})
include(ECMAddQch)

option(BUILD_QCH "Build API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)" OFF)
add_feature_info(
    QCH
    ${BUILD_QCH}
    "API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)"
)
include(ECMCheckOutboundLicense)
file(
    GLOB_RECURSE ALL_SOURCE_FILES
    src/*.cpp
    src/*.h
)
ecm_check_outbound_license(LICENSES GPL-2.0-only  FILES ${ALL_SOURCE_FILES})

set(AKONADIMIME_LIB_VERSION "6.5.1")
set(KMIME_LIB_VERSION "6.5.1")
set(AKONADI_VERSION "6.5.1")
set(PIMCOMMON_LIB_VERSION "6.5.1")

find_package(
    Qt6
    ${QT_REQUIRED_VERSION}
    CONFIG
    REQUIRED
        Widgets
        Test
        Xml
)

find_package(KF6KIO ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6Archive ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6Config ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6CoreAddons ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6I18n ${KF_MIN_VERSION} CONFIG REQUIRED)

find_package(KPim6Akonadi ${AKONADI_VERSION} CONFIG REQUIRED)
find_package(KPim6Mime ${KMIME_LIB_VERSION} CONFIG REQUIRED)
find_package(KPim6AkonadiMime ${AKONADIMIME_LIB_VERSION} CONFIG REQUIRED)
find_package(KPim6PimCommon ${PIMCOMMON_LIB_VERSION} CONFIG REQUIRED)
########### Targets ###########

add_definitions(-DQT_NO_CONTEXTLESS_CONNECT)
ecm_set_disabled_deprecation_versions(QT 6.10.0 KF 6.16.0)

########### CMake Config Files ###########

add_definitions(-DTRANSLATION_DOMAIN=\"libmailimporter6\")

if(BUILD_TESTING)
    add_definitions(-DBUILD_TESTING)
endif()

option(USE_UNITY_CMAKE_SUPPORT "Use UNITY cmake support (speedup compile time)" OFF)

set(COMPILE_WITH_UNITY_CMAKE_SUPPORT OFF)
if(USE_UNITY_CMAKE_SUPPORT)
    set(COMPILE_WITH_UNITY_CMAKE_SUPPORT ON)
endif()

add_subdirectory(src)

ecm_qt_install_logging_categories(
        EXPORT MAILIMPORTER
        FILE mailimporter.categories
        DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR}
)

if(DEFINED kde_configure_git_pre_commit_hook)
    kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)
endif()
ki18n_install(po)
ecm_feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== src/mailimporterakonadi/CMakeLists.txt ===
########### CMake Config Files ###########
set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KPim6MailImporterAkonadi")

ecm_setup_version(PROJECT VARIABLE_PREFIX MAILIMPORTERAKONADI
    VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/mailimporterakonadi_version.h"
    PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KPim6MailImporterAkonadiConfigVersion.cmake"
    SOVERSION 6
)

add_library(KPim6MailImporterAkonadi)
add_library(KPim6::MailImporterAkonadi ALIAS KPim6MailImporterAkonadi)

target_sources(
    KPim6MailImporterAkonadi
    PRIVATE
        filterimporterakonadi.cpp
        filterimporterakonadi.h
)

ecm_qt_declare_logging_category(KPim6MailImporterAkonadi HEADER mailimporterakonadi_debug.h IDENTIFIER MAILIMPORTERAKONADI_LOG CATEGORY_NAME org.kde.pim.mailimporterakonadi
        DESCRIPTION "mailimporterakonadi (mailimporter)"
        EXPORT MAILIMPORTER
)

if(COMPILE_WITH_UNITY_CMAKE_SUPPORT)
    set_target_properties(
        KPim6MailImporterAkonadi
        PROPERTIES
            UNITY_BUILD
                ON
    )
endif()

ecm_generate_export_header(KPim6MailImporterAkonadi
    BASE_NAME mailimporterakonadi
    VERSION ${MAILIMPORTERAKONADI_VERSION}
    DEPRECATED_BASE_VERSION 0
    USE_VERSION_HEADER
)

target_include_directories(
    KPim6MailImporterAkonadi
    INTERFACE
        "$<INSTALL_INTERFACE:${KDE_INSTALL_INCLUDEDIR}/KPim6/MailImporterAkonadi/>"
)
target_include_directories(
    KPim6MailImporterAkonadi
    PUBLIC
        "$<BUILD_INTERFACE:${MailImporter_SOURCE_DIR}/src;${MailImporter_BINARY_DIR}/src;>"
)

target_link_libraries(
    KPim6MailImporterAkonadi
    PUBLIC
        KPim6::MailImporter
        KPim6::AkonadiCore
    PRIVATE
        KPim6::Mime
        KPim6::AkonadiMime
        KF6::I18n
)

set_target_properties(
    KPim6MailImporterAkonadi
    PROPERTIES
        VERSION
            ${MAILIMPORTERAKONADI_VERSION}
        SOVERSION
            ${MAILIMPORTERAKONADI_SOVERSION}
        EXPORT_NAME
            MailImporterAkonadi
)

install(TARGETS KPim6MailImporterAkonadi EXPORT KPim6MailImporterAkonadiTargets ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})

ecm_generate_headers(MailImporter_AkonadiCamelCase_HEADERS
    HEADER_NAMES
    FilterImporterAkonadi
    REQUIRED_HEADERS MailImporter_Akonadi_HEADERS
    PREFIX MailImporterAkonadi
)

install(
    FILES
        ${MailImporter_AkonadiCamelCase_HEADERS}
    DESTINATION ${KDE_INSTALL_INCLUDEDIR}/KPim6/MailImporterAkonadi/MailImporterAkonadi
    COMPONENT Devel
)

install(
    FILES
        ${CMAKE_CURRENT_BINARY_DIR}/mailimporterakonadi_export.h
        ${MailImporter_Akonadi_HEADERS}
    DESTINATION ${KDE_INSTALL_INCLUDEDIR}/KPim6/MailImporterAkonadi/mailimporterakonadi
    COMPONENT Devel
)

if(BUILD_TESTING)
    add_subdirectory(autotests)
endif()

if(BUILD_QCH)
    ecm_add_qch(
        KPim6MailImporterAkonadi_QCH
        NAME KPim6MailImporterAkonadi
        BASE_NAME KPim6MailImporterAkonadi
        VERSION ${PIM_VERSION}
        ORG_DOMAIN org.kde
        SOURCES # using only public headers, to cover only public API
            ${MailImporter_Akonadi_HEADERS}
        #MD_MAINPAGE "${CMAKE_SOURCE_DIR}/README.md"
        #IMAGE_DIRS "${CMAKE_SOURCE_DIR}/docs/pics"
        LINK_QCHS
            Qt6Core_QCH
            Qt6Gui_QCH
            Qt6Widgets_QCH
        INCLUDE_DIRS
            ${CMAKE_CURRENT_BINARY_DIR}
        BLANK_MACROS
            MAILIMPORTERAKONADI_EXPORT
        TAGFILE_INSTALL_DESTINATION ${KDE_INSTALL_QTQCHDIR}
        QCH_INSTALL_DESTINATION ${KDE_INSTALL_QTQCHDIR}
        COMPONENT Devel
    )
endif()

if(BUILD_QCH)
    ecm_install_qch_export(
        TARGETS KPim6MailImporterAkonadi_QCH
        FILE KPim6MailImporterAkonadiQchTargets.cmake
        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        COMPONENT Devel
    )
    set(PACKAGE_INCLUDE_QCHTARGETS "include(\"\${CMAKE_CURRENT_LIST_DIR}/KPim6MailImporterAkonadiQchTargets.cmake\")")
endif()
configure_package_config_file(
    "${CMAKE_CURRENT_SOURCE_DIR}/KPimMailImporterAkonadiConfig.cmake.in"
    "${CMAKE_CURRENT_BINARY_DIR}/KPim6MailImporterAkonadiConfig.cmake"
    INSTALL_DESTINATION ${CMAKECONFIG_INSTALL_DIR}
)

install(
    FILES
        "${CMAKE_CURRENT_BINARY_DIR}/KPim6MailImporterAkonadiConfig.cmake"
        "${CMAKE_CURRENT_BINARY_DIR}/KPim6MailImporterAkonadiConfigVersion.cmake"
    DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
    COMPONENT Devel
)

install(
    EXPORT KPim6MailImporterAkonadiTargets
    DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
    FILE KPim6MailImporterAkonadiTargets.cmake
    NAMESPACE KPim6::
)

install(
    FILES
        ${CMAKE_CURRENT_BINARY_DIR}/mailimporterakonadi_version.h
    DESTINATION ${KDE_INSTALL_INCLUDEDIR}/KPim6/MailImporterAkonadi
    COMPONENT Devel
)

=== debian/changelog ===
mailimporter (4:25.08.1-0ubuntu1) questing; urgency=medium

  * New upstream release (25.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 11 Sep 2025 07:13:16 +0100

=== debian/control ===
Source: mailimporter
Section: libs
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sandro Knauß <hefee@debian.org>, Patrick Franz <deltaone@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               extra-cmake-modules (>= 6.6.0~),
               libakonadi-dev (>= 4:25.08.1~),
               libakonadimime-dev (>= 4:25.08.1~),
               libkf6archive-dev (>= 6.6.0~),
               libkf6config-dev (>= 6.6.0~),
               libkf6coreaddons-dev (>= 6.6.0~),
               libkf6i18n-dev (>= 6.6.0~),
               libkf6kio-dev (>= 6.6.0~),
               libkmime-dev (>= 25.08.1~),
               libpimcommon-dev (>= 4:25.08.1~),
               qt6-base-dev (>= 6.7.0~),
               xauth,
               xvfb,
Standards-Version: 4.7.0
Homepage: https://invent.kde.org/pim/mailimporter
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/mailimporter
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/mailimporter
Rules-Requires-Root: no

Package: libmailimporter-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: KDE PIM Mail importer library - data files
 Contains the data files for building software that uses the library for
 importing mails into KDE applications.
 .
 This package is part of the KDE PIM module.

Package: libmailimporter-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libkf6archive-dev (>= 6.6.0~),
         libkpim6mailimporter6 (= ${binary:Version}),
         libkpim6mailimporterakonadi6 (= ${binary:Version}),
         ${misc:Depends},
Description: KDE PIM Mail importer library - development files
 Contains development files for building software that uses the library for
 importing mails into KDE applications.
 .
 This package is part of the KDE PIM module.

Package: libkpim6mailimporter6
Provides: ${ABI:VirtualPackage},
Architecture: any
Multi-Arch: same
Depends: libmailimporter-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: KDE PIM Mail importer library
 This package contains a library for importing mails into KDE applications.
 .
 This package is part of the KDE PIM module.

Package: libkpim6mailimporterakonadi6
Provides: ${ABI:VirtualPackage},
Architecture: any
Multi-Arch: same
Depends: libmailimporter-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: KDE PIM Mail importer Akonadi library
 This package contains a library for importing mails into Akonadi applications.
 .
 This package is part of the KDE PIM module.

## mailimporter 25.08.2

=== src/mailimporter/autotests/CMakeLists.txt ===
add_definitions(-DMAILIMPORTER_DATA_DIR="${CMAKE_CURRENT_SOURCE_DIR}/samples/")

macro(add_mailimporter_unittest _source _additionalSource)
    get_filename_component(_name ${_source} NAME_WE)
    ecm_add_test(${_source} ${_additionalSource} ${_name}.h
        TEST_NAME ${_name}
        NAME_PREFIX "mailimporter-"
        LINK_LIBRARIES KPim6::MailImporter Qt::Test Qt::Core Qt::Gui Qt::Widgets
    )
endmacro()

add_mailimporter_unittest(filterthunderbirdtest.cpp "filterimportertest.cpp;filterimportertestutil.cpp")
add_mailimporter_unittest(filtericedovetest.cpp "filterimportertest.cpp;filterimportertestutil.cpp")
add_mailimporter_unittest(filterclawsmailtest.cpp "filterimportertest.cpp;filterimportertestutil.cpp")
add_mailimporter_unittest(filtersylpheedtest.cpp "filterimportertest.cpp;filterimportertestutil.cpp")
add_mailimporter_unittest(filterlnotestest.cpp "filterimportertest.cpp;filterimportertestutil.cpp")
add_mailimporter_unittest(filtermailapptest.cpp "filterimportertest.cpp;filterimportertestutil.cpp")
add_mailimporter_unittest(filterthebattest.cpp "filterimportertest.cpp;filterimportertestutil.cpp")
add_mailimporter_unittest(filtermboxtest.cpp "filterimportertest.cpp;filterimportertestutil.cpp")
add_mailimporter_unittest(filterbalsamailtest.cpp "filterimportertest.cpp;filterimportertestutil.cpp")
add_mailimporter_unittest(filterplaintest.cpp "filterimportertest.cpp;filterimportertestutil.cpp")
add_mailimporter_unittest(filtermailmangziptest.cpp "filterimportertest.cpp;filterimportertestutil.cpp")

add_mailimporter_unittest(messagestatustest.cpp "")
add_mailimporter_unittest(selectthunderbirdprofiledialogtest.cpp "")

=== debian/changelog ===
mailimporter (4:25.08.2-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.08.2)

 -- Rik Mills <rikmills@kde.org>  Fri, 17 Oct 2025 11:57:12 +0100

=== debian/control ===
--- 
+++ 
@@ -8,15 +8,15 @@
                debhelper-compat (= 13),
                dh-sequence-kf6,
                extra-cmake-modules (>= 6.6.0~),
-               libakonadi-dev (>= 4:25.08.1~),
-               libakonadimime-dev (>= 4:25.08.1~),
+               libakonadi-dev (>= 4:25.08.2~),
+               libakonadimime-dev (>= 4:25.08.2~),
                libkf6archive-dev (>= 6.6.0~),
                libkf6config-dev (>= 6.6.0~),
                libkf6coreaddons-dev (>= 6.6.0~),
                libkf6i18n-dev (>= 6.6.0~),
                libkf6kio-dev (>= 6.6.0~),
-               libkmime-dev (>= 25.08.1~),
-               libpimcommon-dev (>= 4:25.08.1~),
+               libkmime-dev (>= 25.08.2~),
+               libpimcommon-dev (>= 4:25.08.2~),
                qt6-base-dev (>= 6.7.0~),
                xauth,
                xvfb,

## mailimporter 25.08.3

=== debian/changelog ===
mailimporter (4:25.08.3-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.08.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Nov 2025 15:29:04 +0000

=== debian/control ===
--- 
+++ 
@@ -8,15 +8,15 @@
                debhelper-compat (= 13),
                dh-sequence-kf6,
                extra-cmake-modules (>= 6.6.0~),
-               libakonadi-dev (>= 4:25.08.2~),
-               libakonadimime-dev (>= 4:25.08.2~),
+               libakonadi-dev (>= 4:25.08.3~),
+               libakonadimime-dev (>= 4:25.08.3~),
                libkf6archive-dev (>= 6.6.0~),
                libkf6config-dev (>= 6.6.0~),
                libkf6coreaddons-dev (>= 6.6.0~),
                libkf6i18n-dev (>= 6.6.0~),
                libkf6kio-dev (>= 6.6.0~),
-               libkmime-dev (>= 25.08.2~),
-               libpimcommon-dev (>= 4:25.08.2~),
+               libkmime-dev (>= 25.08.3~),
+               libpimcommon-dev (>= 4:25.08.3~),
                qt6-base-dev (>= 6.7.0~),
                xauth,
                xvfb,

=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.sig/ https://download.kde.org/stable/release-service/([\d.]+)/src/mailimporter-([\d.]+)\.tar\.xz

## mailimporter 25.11.80

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,11 +1,12 @@
 cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
-set(PIM_VERSION "6.5.1")
+set(PIM_VERSION "6.5.80")
 
 project(MailImporter VERSION ${PIM_VERSION})
 
-set(KF_MIN_VERSION "6.14.0")
+set(KF_MIN_VERSION "6.18.0")
 set(QT_REQUIRED_VERSION "6.8.0")
 set(CMAKE_CXX_STANDARD 20)
+set(CMAKE_CXX_SCAN_FOR_MODULES OFF)
 find_package(ECM ${KF_MIN_VERSION} CONFIG REQUIRED)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
 
@@ -59,10 +60,10 @@
 )
 ecm_check_outbound_license(LICENSES GPL-2.0-only  FILES ${ALL_SOURCE_FILES})
 
-set(AKONADIMIME_LIB_VERSION "6.5.1")
-set(KMIME_LIB_VERSION "6.5.1")
-set(AKONADI_VERSION "6.5.1")
-set(PIMCOMMON_LIB_VERSION "6.5.1")
+set(AKONADIMIME_LIB_VERSION "6.5.80")
+set(KMIME_LIB_VERSION "6.5.80")
+set(AKONADI_VERSION "6.5.80")
+set(PIMCOMMON_LIB_VERSION "6.5.80")
 
 find_package(
     Qt6
@@ -87,7 +88,7 @@
 ########### Targets ###########
 
 add_definitions(-DQT_NO_CONTEXTLESS_CONNECT)
-ecm_set_disabled_deprecation_versions(QT 6.10.0 KF 6.16.0)
+ecm_set_disabled_deprecation_versions(QT 6.10.0 KF 6.20.0)
 
 ########### CMake Config Files ###########

=== debian/changelog ===
mailimporter (4:25.11.80-0ubuntu1) resolute; urgency=medium

  * New upstream (beta) release (25.11.80)

 -- Rik Mills <rikmills@kde.org>  Sun, 16 Nov 2025 08:02:42 +0000

=== debian/control ===
--- 
+++ 
@@ -8,15 +8,15 @@
                debhelper-compat (= 13),
                dh-sequence-kf6,
                extra-cmake-modules (>= 6.6.0~),
-               libakonadi-dev (>= 4:25.08.3~),
-               libakonadimime-dev (>= 4:25.08.3~),
+               libakonadi-dev (>= 4:25.11.80~),
+               libakonadimime-dev (>= 4:25.11.80~),
                libkf6archive-dev (>= 6.6.0~),
                libkf6config-dev (>= 6.6.0~),
                libkf6coreaddons-dev (>= 6.6.0~),
                libkf6i18n-dev (>= 6.6.0~),
                libkf6kio-dev (>= 6.6.0~),
-               libkmime-dev (>= 25.08.3~),
-               libpimcommon-dev (>= 4:25.08.3~),
+               libkmime-dev (>= 25.11.80~),
+               libpimcommon-dev (>= 4:25.11.80~),
                qt6-base-dev (>= 6.7.0~),
                xauth,
                xvfb,

## mailimporter 25.11.90

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
-set(PIM_VERSION "6.5.80")
+set(PIM_VERSION "6.5.90")
 
 project(MailImporter VERSION ${PIM_VERSION})
 
@@ -60,10 +60,10 @@
 )
 ecm_check_outbound_license(LICENSES GPL-2.0-only  FILES ${ALL_SOURCE_FILES})
 
-set(AKONADIMIME_LIB_VERSION "6.5.80")
-set(KMIME_LIB_VERSION "6.5.80")
-set(AKONADI_VERSION "6.5.80")
-set(PIMCOMMON_LIB_VERSION "6.5.80")
+set(AKONADIMIME_LIB_VERSION "6.5.90")
+set(KMIME_LIB_VERSION "6.5.90")
+set(AKONADI_VERSION "6.5.90")
+set(PIMCOMMON_LIB_VERSION "6.5.90")
 
 find_package(
     Qt6

=== debian/changelog ===
mailimporter (4:25.11.90-0ubuntu1) resolute; urgency=medium

  * New upstream (RC) release (25.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 28 Nov 2025 14:16:37 +0000

=== debian/control ===
--- 
+++ 
@@ -8,15 +8,15 @@
                debhelper-compat (= 13),
                dh-sequence-kf6,
                extra-cmake-modules (>= 6.6.0~),
-               libakonadi-dev (>= 4:25.11.80~),
-               libakonadimime-dev (>= 4:25.11.80~),
+               libakonadi-dev (>= 4:25.11.90~),
+               libakonadimime-dev (>= 4:25.11.90~),
                libkf6archive-dev (>= 6.6.0~),
                libkf6config-dev (>= 6.6.0~),
                libkf6coreaddons-dev (>= 6.6.0~),
                libkf6i18n-dev (>= 6.6.0~),
                libkf6kio-dev (>= 6.6.0~),
-               libkmime-dev (>= 25.11.80~),
-               libpimcommon-dev (>= 4:25.11.80~),
+               libkmime-dev (>= 25.11.90~),
+               libpimcommon-dev (>= 4:25.11.90~),
                qt6-base-dev (>= 6.7.0~),
                xauth,
                xvfb,

## mailimporter 25.12.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
-set(PIM_VERSION "6.5.90")
+set(PIM_VERSION "6.6.0")
 
 project(MailImporter VERSION ${PIM_VERSION})
 
@@ -60,10 +60,10 @@
 )
 ecm_check_outbound_license(LICENSES GPL-2.0-only  FILES ${ALL_SOURCE_FILES})
 
-set(AKONADIMIME_LIB_VERSION "6.5.90")
-set(KMIME_LIB_VERSION "6.5.90")
-set(AKONADI_VERSION "6.5.90")
-set(PIMCOMMON_LIB_VERSION "6.5.90")
+set(AKONADIMIME_LIB_VERSION "6.6.0")
+set(KMIME_LIB_VERSION "6.6.0")
+set(AKONADI_VERSION "6.6.0")
+set(PIMCOMMON_LIB_VERSION "6.6.0")
 
 find_package(
     Qt6

=== debian/changelog ===
mailimporter (4:25.12.0-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.12.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 11 Dec 2025 12:36:41 +0000

=== debian/control ===
--- 
+++ 
@@ -8,15 +8,15 @@
                debhelper-compat (= 13),
                dh-sequence-kf6,
                extra-cmake-modules (>= 6.6.0~),
-               libakonadi-dev (>= 4:25.11.90~),
-               libakonadimime-dev (>= 4:25.11.90~),
+               libakonadi-dev (>= 4:25.12.0~),
+               libakonadimime-dev (>= 4:25.12.0~),
                libkf6archive-dev (>= 6.6.0~),
                libkf6config-dev (>= 6.6.0~),
                libkf6coreaddons-dev (>= 6.6.0~),
                libkf6i18n-dev (>= 6.6.0~),
                libkf6kio-dev (>= 6.6.0~),
-               libkmime-dev (>= 25.11.90~),
-               libpimcommon-dev (>= 4:25.11.90~),
+               libkmime-dev (>= 25.12.0~),
+               libpimcommon-dev (>= 4:25.12.0~),
                qt6-base-dev (>= 6.7.0~),
                xauth,
                xvfb,

## mailimporter 25.12.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
-set(PIM_VERSION "6.6.0")
+set(PIM_VERSION "6.6.1")
 
 project(MailImporter VERSION ${PIM_VERSION})
 
@@ -60,10 +60,10 @@
 )
 ecm_check_outbound_license(LICENSES GPL-2.0-only  FILES ${ALL_SOURCE_FILES})
 
-set(AKONADIMIME_LIB_VERSION "6.6.0")
-set(KMIME_LIB_VERSION "6.6.0")
-set(AKONADI_VERSION "6.6.0")
-set(PIMCOMMON_LIB_VERSION "6.6.0")
+set(AKONADIMIME_LIB_VERSION "6.6.1")
+set(KMIME_LIB_VERSION "6.6.1")
+set(AKONADI_VERSION "6.6.1")
+set(PIMCOMMON_LIB_VERSION "6.6.1")
 
 find_package(
     Qt6

=== debian/changelog ===
mailimporter (4:25.12.1-2) unstable; urgency=medium

  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Tue, 20 Jan 2026 21:39:06 +0100

mailimporter (4:25.12.1-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (25.12.1).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.7.3 (No changes needed).

 -- Patrick Franz <deltaone@debian.org>  Tue, 13 Jan 2026 12:49:17 +0100

mailimporter (4:25.08.3-2) unstable; urgency=medium

  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Wed, 03 Dec 2025 18:00:41 +0100

mailimporter (4:25.08.3-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (25.08.3).
  * Update build-deps and deps with the info from cmake.

 -- Patrick Franz <deltaone@debian.org>  Tue, 18 Nov 2025 21:24:58 +0100

=== debian/control ===
--- 
+++ 
@@ -1,29 +1,29 @@
 Source: mailimporter
 Section: libs
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Uploaders: Sandro Knauß <hefee@debian.org>, Patrick Franz <deltaone@debian.org>,
-Build-Depends: cmake (>= 3.16~),
-               debhelper-compat (= 13),
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Uploaders: Sandro Knauß <hefee@debian.org>,
+           Patrick Franz <deltaone@debian.org>,
+Build-Depends: debhelper-compat (= 13),
                dh-sequence-kf6,
-               extra-cmake-modules (>= 6.6.0~),
-               libakonadi-dev (>= 4:25.12.0~),
-               libakonadimime-dev (>= 4:25.12.0~),
-               libkf6archive-dev (>= 6.6.0~),
-               libkf6config-dev (>= 6.6.0~),
-               libkf6coreaddons-dev (>= 6.6.0~),
-               libkf6i18n-dev (>= 6.6.0~),
-               libkf6kio-dev (>= 6.6.0~),
-               libkmime-dev (>= 25.12.0~),
-               libpimcommon-dev (>= 4:25.12.0~),
-               qt6-base-dev (>= 6.7.0~),
+               cmake (>= 3.16~),
+               extra-cmake-modules (>= 6.18.0~),
+               libakonadi-dev (>= 4:25.12.1~),
+               libakonadimime-dev (>= 4:25.12.1~),
+               libkf6archive-dev (>= 6.18.0~),
+               libkf6config-dev (>= 6.18.0~),
+               libkf6coreaddons-dev (>= 6.18.0~),
+               libkf6i18n-dev (>= 6.18.0~),
+               libkf6kio-dev (>= 6.18.0~),
+               libkmime-dev (>= 25.12.1~),
+               libpimcommon-dev (>= 4:25.12.1~),
+               qt6-base-dev (>= 6.8.0~),
                xauth,
                xvfb,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.3
 Homepage: https://invent.kde.org/pim/mailimporter
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/mailimporter
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/mailimporter
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/mailimporter
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/mailimporter.git
 Rules-Requires-Root: no
 
 Package: libmailimporter-data
@@ -40,7 +40,7 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libkf6archive-dev (>= 6.6.0~),
+Depends: libkf6archive-dev (>= 6.18.0~),
          libkpim6mailimporter6 (= ${binary:Version}),
          libkpim6mailimporterakonadi6 (= ${binary:Version}),
          ${misc:Depends},

## mailimporter 25.12.2

=== debian/changelog ===
mailimporter (4:25.12.2-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.12.2)

 -- Rik Mills <rikmills@kde.org>  Sun, 08 Feb 2026 16:43:53 +0000

mailimporter (4:25.12.1-0ubuntu2) resolute; urgency=medium

  * No-change rebuild for kf6-kio 6.22.1.

 -- Rik Mills <rikmills@kde.org>  Thu, 22 Jan 2026 22:48:52 +0000

mailimporter (4:25.12.1-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.12.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 08 Jan 2026 11:17:25 +0000

=== debian/control ===
--- 
+++ 
@@ -1,29 +1,29 @@
 Source: mailimporter
 Section: libs
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Uploaders: Sandro Knauß <hefee@debian.org>,
-           Patrick Franz <deltaone@debian.org>,
-Build-Depends: debhelper-compat (= 13),
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Uploaders: Sandro Knauß <hefee@debian.org>, Patrick Franz <deltaone@debian.org>,
+Build-Depends: cmake (>= 3.16~),
+               debhelper-compat (= 13),
                dh-sequence-kf6,
-               cmake (>= 3.16~),
-               extra-cmake-modules (>= 6.18.0~),
-               libakonadi-dev (>= 4:25.12.1~),
-               libakonadimime-dev (>= 4:25.12.1~),
-               libkf6archive-dev (>= 6.18.0~),
-               libkf6config-dev (>= 6.18.0~),
-               libkf6coreaddons-dev (>= 6.18.0~),
-               libkf6i18n-dev (>= 6.18.0~),
-               libkf6kio-dev (>= 6.18.0~),
-               libkmime-dev (>= 25.12.1~),
-               libpimcommon-dev (>= 4:25.12.1~),
-               qt6-base-dev (>= 6.8.0~),
+               extra-cmake-modules (>= 6.6.0~),
+               libakonadi-dev (>= 4:25.12.2~),
+               libakonadimime-dev (>= 4:25.12.2~),
+               libkf6archive-dev (>= 6.6.0~),
+               libkf6config-dev (>= 6.6.0~),
+               libkf6coreaddons-dev (>= 6.6.0~),
+               libkf6i18n-dev (>= 6.6.0~),
+               libkf6kio-dev (>= 6.6.0~),
+               libkmime-dev (>= 25.12.2~),
+               libpimcommon-dev (>= 4:25.12.2~),
+               qt6-base-dev (>= 6.7.0~),
                xauth,
                xvfb,
-Standards-Version: 4.7.3
+Standards-Version: 4.7.0
 Homepage: https://invent.kde.org/pim/mailimporter
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/mailimporter
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/mailimporter.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/mailimporter
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/mailimporter
 Rules-Requires-Root: no
 
 Package: libmailimporter-data
@@ -40,7 +40,7 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libkf6archive-dev (>= 6.18.0~),
+Depends: libkf6archive-dev (>= 6.6.0~),
          libkpim6mailimporter6 (= ${binary:Version}),
          libkpim6mailimporterakonadi6 (= ${binary:Version}),
          ${misc:Depends},
